<div class="code">
  <h1 class="code__title">
    {{ "AUTH.FORGOT_PASSWORD.VERIFICATION_CODE.TITLE" | translate }}
  </h1>
  <p
    class="code__description"
    [innerHTML]="
      'AUTH.FORGOT_PASSWORD.VERIFICATION_CODE.DESCRIPTION' | translate
    "
  ></p>
  <form class="code__form" [formGroup]="form">
    <mo-input-code
      formControlName="otp_value"
      [isDisabled]="isLoading$ | async"
      [label]="'AUTH.FORGOT_PASSWORD.VERIFICATION_CODE.ENTER_CODE' | translate"
      [reSendCodeText]="
        'AUTH.FORGOT_PASSWORD.VERIFICATION_CODE.RESEND_CODE' | translate
      "
      (send)="onSubmit()"
      (resend)="onResendCode()"
    ></mo-input-code>
  </form>
</div>
